FROM golang:latest

# Add Maintainer Info
LABEL maintainer="sandeep <iamsandeepr29@gmail.com>"

# Set the Current Working Directory inside the container
WORKDIR /app

ENV DEMO_APP_ADDR = 8000
ENV DEMO_REDIS_ADDR = .

RUN mkdir /redis
# Copy go mod and sum files
COPY go.mod go.sum ./

# Download all dependencies. Dependencies will be cached if the go.mod and go.su                                                                                        m files are not changed
RUN go mod download

# Copy the source from the current directory to the Working Directory inside the                                                                                         container
COPY . .

# Build the Go app
RUN go build -o main .

# Expose port 8080 to the outside world
EXPOSE 8080

# Command to run the executable
CMD ["./main"]
